Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.mysql
Class MysqlGeometry

    java.lang.Object
      com.bbn.openmap.layer.mysql.MysqlGeometry

Direct Known Subclasses:
  MysqlLine, MysqlMulti, MysqlPoint, MysqlPolygon

public class MysqlGeometry
extends java.lang.Object

This class represents the base class of MySQL Geometry. Coordinate values are stored as values of double precision in arrays as a sequence of Latitude/Longitude pairs. This differs from the database where values are stored as X/Y or Easting/Northing pairs. Copyright 2003 by the Author

Version:
  1.0
Author:
  Uwe Baier uwe.baier@gmx.net

Field Summary
`static java.lang.String` | `GEOMETRYCOLLECTIONTYPE`
`static java.lang.String` | `LINESTRINGTYPE`
`static java.lang.String` | `MULTILINESTRINGTYPE`
`static java.lang.String` | `MULTIPOINTTYPE`
`static java.lang.String` | `MULTIPOLYGONTYPE`
`static java.lang.String` | `POINTTYPE`
`static java.lang.String` | `POLYGONTTYPE`

Constructor Summary
`MysqlGeometry()`

Method Summary
`java.lang.String` | `getType()` Returns the type.
`void` | `setType(java.lang.String type)` Sets the type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### POINTTYPE

    public static final java.lang.String POINTTYPE

See Also:
  Constant Field Values

### LINESTRINGTYPE

    public static final java.lang.String LINESTRINGTYPE

See Also:
  Constant Field Values

### POLYGONTTYPE

    public static final java.lang.String POLYGONTTYPE

See Also:
  Constant Field Values

### MULTIPOINTTYPE

    public static final java.lang.String MULTIPOINTTYPE

See Also:
  Constant Field Values

### MULTILINESTRINGTYPE

    public static final java.lang.String MULTILINESTRINGTYPE

See Also:
  Constant Field Values

### MULTIPOLYGONTYPE

    public static final java.lang.String MULTIPOLYGONTYPE

See Also:
  Constant Field Values

### GEOMETRYCOLLECTIONTYPE

    public static final java.lang.String GEOMETRYCOLLECTIONTYPE

See Also:
  Constant Field Values

Constructor Detail

### MysqlGeometry

    public MysqlGeometry()

Method Detail

### getType

    public java.lang.String getType()

  Returns the type.

  Returns:
    String

### setType

    public void setType(java.lang.String type)

  Sets the type.

  Parameters:
    `type` - The type to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details